%{!?ruby_sitelib:	%define ruby_sitelib	%(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")}
%define		rubyabi		1.8

Name:		alexandria
Version:	0.6.1
Release:	3%{?dist}
Summary:	Book collection manager

Group:		Applications/Productivity
License:	GPL
URL:		http://alexandria.rubyforge.org/
Source0:	http://rubyforge.org/frs/download.php/6308/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
BuildRequires:	ruby
BuildRequires:	ruby-devel
BuildRequires:	ruby(abi) = %{rubyabi}
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	scrollkeeper

BuildRequires:	ImageMagick

Requires:	ruby
Requires:	ruby(abi) = %{rubyabi}

Requires:	ruby(amazon)
Requires:	ruby(gettext-package)
Requires:	ruby(zoom)

Requires:	ruby(gconf2)
Requires:	ruby(gdkpixbuf2)
Requires:	ruby(glib2)
Requires:	ruby(gnome2)
Requires:	ruby(libglade2)

Requires(post):		scrollkeeper
Requires(postun):	scrollkeeper
Requires(pre):		GConf2
Requires(post):		GConf2
Requires(preun):	GConf2

%description
Alexandria is a GNOME application to help you manage your book collection.

%prep
%setup -q

%build
ruby install.rb config
ruby install.rb setup

%install
%{__rm} -rf $RPM_BUILD_ROOT

# disable scrollkeeper
%{__mkdir} tmpbin
%{__ln_s} -f /bin/true tmpbin/scrollkeeper-update
export PATH="$(pwd)/tmpbin:$PATH"

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
ruby install.rb install --prefix=$RPM_BUILD_ROOT

%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/applications/
desktop-file-install \
	--vendor fedora \
	--remove-category Application \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications/ \
	%{name}.desktop

# create 64x64, 128x128 icon
for s in 64 128 ; do
	%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/${s}x${s}/apps/
	convert -scale ${s}x${s} \
		data/alexandria/icons/%{name}.png \
		$RPM_BUILD_ROOT%{_datadir}/icons/hicolor/${s}x${s}/apps/%{name}.png
done

%{__mkdir_p} $RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/
%{__install} -c -p -m 0644 schemas/%{name}.schemas \
	$RPM_BUILD_ROOT%{_sysconfdir}/gconf/schemas/

%find_lang %{name}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%pre
if [ "$1" -gt 1 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	gconftool-2 --makefile-uninstall-rule \
		%{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :
fi

%post
touch --no-create %{_datadir}/icons/hicolor/ || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%{_bindir}/scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :

%preun
if [ "$1" -eq 0 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	gconftool-2 --makefile-uninstall-rule \
		%{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor/ || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%{_bindir}/scrollkeeper-update -q || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/%{name}
%{ruby_sitelib}/%{name}.rb
%{ruby_sitelib}/%{name}/

%{_sysconfdir}/gconf/schemas/%{name}.schemas

%{_datadir}/%{name}/
%{_datadir}/gnome/help/%{name}/
%{_datadir}/omf/%{name}/

%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/*x*/apps/%{name}.png

%changelog
* Fri May 11 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.1-3
- This time completely disable scrollkeeper-update
- Create 128x128 icon also

* Tue May  1 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.1-2
- Fix scriptlets typo

* Sun Apr 22 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.6.1-1
- Initial packaging

